%global __brp_check_rpaths %{nil}

Name:		molequeue
Version:	0.9.0
Release:	%mkrel 10
Summary:	Desktop integration of high performance computing resources
License:	BSD
Group:		Sciences/Chemistry
Url:		https://openchemistry.org/molequeue
Source:		https://github.com/OpenChemistry/molequeue/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		molequeue-0.9.0-fix-build-against-qt-5.11.0.patch
BuildRequires:	cmake
BuildRequires:	python3
BuildRequires:	cppzmq-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
MoleQueue is an open-source, cross-platform, system-tray resident desktop
application for abstracting, managing, and coordinating the execution of
tasks both locally and on remote computational resources. Users can set
up local and remote queues that describe where the task will be executed.
Each queue can have programs, with templates to facilitate the execution
of the program. Input files can be staged, and output files collected
using a standard interface. Some highlights:

  * Open source distributed under the liberal 3-clause BSD license
  * Cross platform with nightly builds on Linux, Mac OS X and Windows
  * Intuitive interface designed to be useful to whole community
  * Support for local execution and remote schedulers (SGE, PBS, SLURM)
  * System tray resident application managing queue of queues and job lifetime
  * Simple, lightweight JSON-RPC 2.0 based communication over local sockets
  * Qt 5 client library for simple integration in Qt applications

#----------------------------------------------------

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} >= %{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing applications
that use %{name}.

#----------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	python3dist(pyzmq)

Obsoletes:	python-molequeue < 0.8.0-3
Provides:	python-molequeue = %{version}-%{release}
Obsoletes:	python2-molequeue < 0.9.0-5

%description -n	python3-%{name}
The python3-%{name} package contains Python3 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 \
	-DCMAKE_INSTALL_LIBDIR=%{_lib} \
	-DPYTHON_EXECUTABLE:FILEPATH=%{__python3} \
	-DUSE_ZERO_MQ=ON

%cmake_build

%install
%cmake_install

%files
%doc %{_docdir}/MoleQueue/
%license LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libdir}/*.so

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/

%files -n python3-%{name}
%{python3_sitelib}/%{name}/


%changelog
* Mon Apr 04 2022 umeabot <umeabot> 0.9.0-10.mga9
+ Revision: 1843015
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 tv <tv> 0.9.0-9.mga9
+ Revision: 1786785
- Disable rpath checking
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 0.9.0-8.mga9
+ Revision: 1705302
- rebuild for python 3.9

* Thu Dec 17 2020 umeabot <umeabot> 0.9.0-7.mga8
+ Revision: 1659061
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 0.9.0-6.mga8
+ Revision: 1534282
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Oct 02 2019 daviddavid <daviddavid> 0.9.0-5.mga8
+ Revision: 1448872
- port to python3
- drop python2 support

* Sun Mar 31 2019 umeabot <umeabot> 0.9.0-4.mga7
+ Revision: 1383478
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-3.mga7
+ Revision: 1299585
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 0.9.0-2.mga7
+ Revision: 1233612
- add upstream patch to fix build against Qt5 >= 5.11.0

* Thu Feb 01 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1198366
- new version: 0.9.0

* Wed Oct 11 2017 daviddavid <daviddavid> 0.8.0-3.mga7
+ Revision: 1171062
- backport some others upstream fixes thus fixing build with gcc7
- rename python-molequeue to python2-molequeue

* Tue Feb 21 2017 wally <wally> 0.8.0-2.mga6
+ Revision: 1087225
- BR cppzmq instead of libzmq

* Tue Dec 13 2016 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 1074482
- initial package molequeue

